
Redmine - Defect #18924

Workflow's not seeming to be applied

2015-01-21 11:59 - Lloyd Newby

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

Hi,

Applogies if I missed some information off or this is wrong forum. This is my first submission to this site. I have searched for

documentation and previously submitted bugs on this site.

Please see the end of this email for the Redmine install details.

I'm tryin to setup Workflows and they seem not to be working. As I understand it I choose a role (in my case Manager) and then I'm

given a matrix to select allowable status transitions. In my case a list of States is as follows:

New

Define

Authorise

Work In Progress (WIP)

Assemble

Rejected

Closed

I'd like to limit the status transitions for my user role in such away:

New->Define->Authorise->WIP->Assemble->Closed

So when in the 'New' state, I imagine I'd only be able to see 'Define' in the editting dropdown menu etc etc. I freely admit this might

be a "the user is stupid and just doesn't get it" issue. For that I appologies in advance. But I am flumoxed.

Version info:

Env:

Redmine: 2.5.2.stable

Ruby: 2.0.0-p481 (2014-05-09) [x86_64-linux]

Environment: Production

Database adapter: Mysql2

SCM:

Subversion: 1.8.8

Mercurial: 2.9.2

Git: 1.9.0

Redmine:

no plugins installed

Remine

History

#1 - 2015-01-21 12:42 - Lloyd Newby

I hit submit early and missed this off. After..

"...imagine I'd only be able to see 'Define' in the editting dropdown menu etc etc."

It should read:

"This doesn't happen and I see a full list of all the defined states."
Note: I am running as Admin

#2 - 2015-01-21 13:48 - Lloyd Newby

- Status changed from New to Resolved

I've managed to get it to work.

I created the workflow in manager/bug and copied this workflow to the other Tracker types for this role.

Now workflow rule sets get adheared to.

I can also assign different roles a different workflow.

Something seems to have been amiss in the intial setup and overwriting the workflow rulesets seem to have breathed life into the system.

#3 - 2015-01-22 06:32 - Mischa The Evil

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for the feedback. Closing per req.

Note: some documentation about this can be found at RedmineIssueTrackingSetup#Workflow.
